building ruby for rails on ubuntu? all the little packages...

Ok, I have downloaded the latest ruby (1.8.6 p110) and am trying to
get it all working with rails. Why? because I am getting segfaults
with 1.8.6 that I did not get with 1.8.5 and am hoping they get fixed!

I have found that I need the following packages so far...

sudo apt-get install libreadline5 libreadline5-dev
sudo apt-get install libcurl3-openssl-dev

Any others you all can think of ?

Ubuntu 6.01 LTS?

If so then use Capistrano and deprec.

Deprec will install Apache/Rails/Ruby/Mysql.

This slicehost article should answer all your questions.

http://wiki.slicehost.com/doku.php?id=automated_rails_install_and_deployment_with_deprec_capistrano

And with the hours of time(hair loss, etc) , I suggest buy Mike Bailey(deprec author) a beer

Jodi